Bug 1445902 - [NoMethodError]: undefined method `merge!' for nil:NilClass encountered for OpenShift full refresh
Summary: [NoMethodError]: undefined method `merge!' for nil:NilClass encountered for O...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: GA
: 5.7.3
Assignee: Ari Zellner
QA Contact: Einat Pacifici
URL:
Whiteboard: container:ems_refresh
Depends On: 1441709
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 18:03 UTC by Satoe Imaishi
Modified: 2020-06-11 13:42 UTC (History)
12 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1441709
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: Container Management
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-04-26 18:25:51 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/458002fff133d0c3809d25a741e8a96b07509689

commit 458002fff133d0c3809d25a741e8a96b07509689
Author:     Federico Simoncelli <federico.simoncelli@gmail.com>
AuthorDate: Mon Apr 24 17:33:30 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Apr 26 14:22:43 2017 -0400

    Merge pull request #4 from zeari/fix_nil_project
    
    ignore projects without an underlying kubernetes namespace
    (cherry picked from commit 1a25fff41f36ca9b435fa170a970e6852602cc2f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445902

 .../providers/openshift/container_manager/refresh_parser.rb |  1 +
 .../openshift/container_manager/refresh_parser_spec.rb      | 13 +++++++++++++
 2 files changed, 14 insertions(+)

Comment 4 Einat Pacifici 2017-06-11 08:58:54 UTC
Verified. Can't reproduce. If this happens again, we will reinvestigate.

Comment 6 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.